const moment = require('vendor/moment/v2.21');

const data = ChartEditor.getLoadedData().lunapark_api;
// const preparedData = Dataset.processData(loadedData);
const params = ChartEditor.getParams();

console.log('data', data)

const head = [
    {
        id: 'job',
        name: 'Номер теста',
        type: 'text',
    },
    // {
        // id: 'date',
        // format: 'DD/MM/YY HH:mm:ss',
        // name: 'Дата',
        // type: 'date',
    // },
    {
        id: 'name',
        name: 'Название',
        type: 'text'
    }
];

const rows = [];

data.jobs.forEach((item) => {
    rows.push({
        cells: [
            {
                value: item.job,
                link: {
                    href: `https://datalens.yandex-team.ru/clod4tpb3lek6-load-report?tab=Er&job_id=${item.job}&task_id=${params.taskId[0]}`,
                    newWindow: true
                }
            },
            // {
                // value: item.date
            // },
            {
                value: item.name
            }
        ]
    })
});

module.exports = {head, rows};
